## imx-galcore-j8 5.0.11.p7.4.4

=== source/Makefile ===
obj-m := galcore.o

SRC := $(shell pwd)

all:
#	$(MAKE) -C $(KERNEL_SRC) scripts
	$(MAKE) -C $(KERNEL_SRC) M=$(SRC)/kernel-module-imx-gpu-viv-src AQROOT=$(SRC)/kernel-module-imx-gpu-viv-src

modules_install:
	$(MAKE) -C $(KERNEL_SRC) M=$(SRC)/kernel-module-imx-gpu-viv-src modules_install

clean:
	rm -f *.o *~ core .depend .*.cmd *.ko *.mod.c
	rm -f Module.markers modules.order
	rm -rf .tmp_versions Modules.symvers

=== debian/changelog ===
imx-galcore-j8 (5.0.11.p7.4.4) jessie; urgency=medium

  * Initial Boundary package
  * module built for linux-boundary-12j-4.1.15

 -- Laci Tele <laci@boundarydevices.com>  Wed, 12 Jul 2017 18:22:46 -0700

=== debian/control ===
Source: imx-galcore-j8
Section: misc
Priority: optional
Maintainer: Laci Tele <laci@boundarydevices.com>
Build-Depends: debhelper (>= 8), execstack, findutils (>= 4.2.28), autotools-dev, autoconf, automake, libtool, dh-python, dkms (>= 1.95)
Standards-Version: 3.9.3
Homepage: http://www.boundarydevices.com/
#Vcs-Git: https://github.com/boundarydevices


Package: imx-galcore-j8
Section: misc
Architecture: armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms (>= 1.95), imx-udev-rules-j8
Description: Kernel loadable module for Vivante GPU, in DKMS format

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*- -*- indent-tabs-mode: t; tab-width: 3 -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@


override_dh_auto_install:
	touch imx-galcore-j8-5.0.11.p7.4.4.dkms.tar.gz
	cp /var/lib/dkms/imx-galcore-j8/5.0.11.p7.4.4/tarball/imx-galcore-j8-5.0.11.p7.4.4.dkms.tar.gz ./
	dh_auto_install -a
